﻿<h1 id="dhcp-overview">DHCP Overview</h1>
<ul>
<li><p>The Dynamic Host Control Protocol is used to dynamically allocate IPv4 addresses to end devices in your network.</p>
</li>
<li><p>DHCP can also be used for a variety of different reasons within the enterprise to include PXE, TFTP services, SCCM, DNS allocation, and lease times.</p>
</li>
<li><p>DHCP can be configured within the Cicso iOS or as a service on a Windows Server.</p>
</li>
</ul>
<p><img src="dhcp_image_01.png" alt="" />
<img src="dhcp_image_server.png" alt="" /></p>
<ul>
<li>DHCP uses a process called <strong>&quot;DORA&quot;</strong> to communicate with endpoints to delegate IP addressing or other <strong>&quot;DHCP Options&quot;</strong>
<ul>
<li>D - Discover (broadcast | UDP)</li>
<li>O - Offer (Unicast | UDP)</li>
<li>R - Request (Broadcast | UDP)</li>
<li>A - Acknowledgement (Unicast | UDP)</li>
</ul>
</li>
</ul>
<p><img src="DHCP_DORA.png" alt="" /></p>
<ul>
<li><p>DHCPv4 messages are encapsulated within the UDP transport protocol.</p>
</li>
<li><p>DHCPv4 messages sent from the client use UDP source port 68 and destination port 67.</p>
</li>
<li><p>DHCPv4 messages sent from the server to the client use UDP source port 67 and destination port 68.</p>
</li>
</ul>
<h2 id="dhcp-relay">DHCP Relay</h2>
<ul>
<li><p>In networking sometimes the best design for your campus/enterprise network is too have the DHCP server be a single service running on a VM, or a cluster of VMs.</p>
</li>
<li><p>For endpoints logically segmented by VLANs and in their broadcast domains, the default-gateway interface will need to be configured with an <strong>&quot;IP Helper-address&quot;</strong> in order for endpoints to reach the DHCP server, <strong>IF</strong> the DHCP server is not within the same subnet/broadcast domain.</p>
</li>
<li><p>The IP helper-address will redirect <strong>&quot;broadcast&quot;</strong> messages into <strong>&quot;unicast&quot;</strong> messages to be sent to the IP Helper-addresses destination IP address.</p>
</li>
</ul>
<p><img src="dhcp_relay.png" alt="" /></p>
<h2 id="vrf-support">VRF Support</h2>
<ul>
<li><p>DHCP Pools can also be configured on Cisco iOS to support users in a Virtual Routing Forwarding Instance.</p>
</li>
<li><p>VRFs creates a separate logical routing table that is not a part of the global routing table. (much like a VM and the host OS)</p>
</li>
</ul>
<h2 id="dhcp-exclusions">DHCP Exclusions</h2>
<ul>
<li><p>In the enterprise some endpoints you do not want to dynamically assign IP addressses.</p>
</li>
<li><p>Any endpoint device that has a URL/DNS record associated with it should be static.</p>
</li>
<li><p>Printers, share drives and VTCs should also be considered for static IP addressing.</p>
</li>
<li><p>In Cisco iOS and Windows DHCP Service you can set <strong>&quot;DHCP Exclusions&quot;</strong> that will not allow an IP address in the subnet to dynamically allocated.</p>
</li>
</ul>
